### Function

# Dex file_enumerator_close

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_file_enumerator_close (
      GFileEnumerator* file_enumerator,
      int io_priority
    )

#### Description [src]

Wraps `g_file_enumerator_close_async()`.

Available since: 1.2

#### Parameters

`file_enumerator`

  Type: `GFileEnumerator`

  A `GFileEnumerator`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.